<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\ProductResource;
use App\Models\Product;
use Illuminate\Http\Request;

class HomeController extends Controller
{

    public function home(Request $request, $type, $flag, $city_id)
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (request()->header('Authorization')) {
            if (!$user = JWTAuth::parseToken()->authenticate()) {
                return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
            }
        }
        if ($city_id == 0) {
            $products = Product::where(['type' => $type, 'flag' => $flag])->take(6)->get();
        }else{
            $products = Product::where(['type' => $type, 'flag' => $flag, 'city_id' => $city_id])->take(6)->get();
        }
        $data = ProductResource::collection($products);

        return response()->json(['value' => 'true', 'data' => $data, 'code' => 200]);
    }




}
