<?php

namespace App\Http\Resources;

use App\Models\Product;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class ProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'title' => $this->title,
            'description' => $this->description,
            'year' => $this->year ? $this->year : '',
            'color' => $this->color ? $this->color : '',
            'km' => $this->km ? $this->km : '',
            'user_id' => $this->user_id,
            'user_name' => $this->user_id ? $this->user->name : '',
            'user_image' => $this->user_id ?asset('images/users/'. $this->user->image)  : '',
            'user_mobile' => $this->user_id ? $this->user->mobile : '',
            'user_whatsapp' => $this->user_id ? $this->user->whatsapp : '',
            'city_id' => $this->city_id ? $this->city_id : '',
            'city_name' => $this->city_id ? $this->city->name[$lang] : '',
            'category_id' => $this->category_id ? $this->category_id : '',
            'category_name' => $this->category_id ? $this->category->name[$lang] : '',
            'fetis' => $this->fetis ? $this->fetis : '',
            'type' => $this->type ? $this->type : '',
            'flag' => $this->flag ? $this->flag : '',
            'number_seats' => $this->number_seats ? $this->number_seats : '',
            'product_code' => $this->code ? $this->code : '',
            'size_building' => $this->size ? $this->size : '',
            'address' => $this->address ? $this->address : '',
            'number_room' => $this->number_room ? $this->number_room : '',
            'number_floors' => $this->number_floors ? $this->number_floors : '',
            'is_favorite' => $this->is_favorite ? $this->is_favorite : 'false',
            'date' => Carbon::parse($this->created_at)->toDateString(),
            'price' => $this->price,
            'images' => ProductImageResource::collection($this->images),
        ];
    }
}
