<?php $__env->startSection('title', 'مستخدمين'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">مستخدمين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('users.update',$row->id)); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم</label>
                                <input type="text" class="form-control" value="<?php echo e($row->name); ?>" name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم">
                                <?php if($errors->has('name')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" value="<?php echo e($row->email); ?>" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                <?php if($errors->has('email')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('email')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="<?php echo e($row->mobile); ?>" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                <?php if($errors->has('mobile')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('mobile')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">واتساب</label>
                                <input type="text" class="form-control" required value="<?php echo e($row->whatsapp); ?>"
                                       name="whatsapp"
                                       id="exampleInputEmail1"
                                       placeholder="واتساب">
                                <?php if($errors->has('whatsapp')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('whatsapp')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان</label>
                                <input type="text" class="form-control" required value="<?php echo e($row->address); ?>"
                                       name="address"
                                       placeholder="العنوان">
                                <?php if($errors->has('address')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('address')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">المدينة</label>
                                <select name="city_id" class="form-control" id="exampleSelect1">
                                    <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            <?php echo e($city->id == $row->city_id ? 'selected' :''); ?> value="<?php echo e($city->id); ?>"><?php echo e($city->name['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('city_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('city_id')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <div class="card-box">
                                    <h4 class="header-title mb-4">صورة</h4>
                                    <input type="file" name="image" class="dropify" data-default-file="<?php echo e($row->image); ?>"
                                           data-height="300"/>
                                </div>
                                <?php if($errors->has('image')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('image')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <div class="card-box">
                                    <h4 class="header-title mb-4">صورة الخلفية</h4>
                                    <input type="file" name="image_cover" class="dropify"
                                           data-default-file="<?php echo e($row->image_cover); ?>" data-height="300"/>
                                </div>
                                <?php if($errors->has('image_cover')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('image_cover')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">الرقم السري</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="الرقم السري">
                                <?php if($errors->has('password')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('password')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active"
                                            <?php if($row->status == 'active'): ?> selected <?php endif; ?>>مفعل
                                    </option>
                                    <option value="not_active"
                                            <?php if($row->status == 'not_active'): ?> selected <?php endif; ?>>غير مفعل
                                    </option>
                                </select>
                                <?php if($errors->has('status')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('status')); ?></small>
                                <?php endif; ?>
                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home3/ajqqbmmy/public_html/car-w-3qar/resources/views/admin/users/edit.blade.php ENDPATH**/ ?>